<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.mall.mapper.GoodsImgMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="goodsImgResultMap" type="org.springblade.modules.mall.entity.GoodsImg">
        <id column="id" property="id"/>
        <result column="goods_id" property="goodsId"/>
        <result column="url" property="url"/>
        <result column="type" property="type"/>
        <result column="file_type" property="fileType"/>
        <result column="sort" property="sort"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>


    <select id="selectGoodsImgPage" resultMap="goodsImgResultMap">
        select * from re_goods_img where is_deleted = 0
    </select>

</mapper>
